ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

SPARC.Ppr

Contents

- Orphan instances

Synopsis

- pprNatCmmDecl :: NatCmmDecl CmmStatics Instr -> SDoc
- pprBasicBlock :: LabelMap CmmStatics -> NatBasicBlock Instr -> SDoc
- pprData :: CmmStatic -> SDoc
- pprInstr :: Instr -> SDoc
- pprFormat :: Format -> SDoc
- pprImm :: Imm -> SDoc
- pprDataItem :: CmmLit -> SDoc

# Documentation

pprNatCmmDecl :: NatCmmDecl CmmStatics Instr -> SDoc #

pprBasicBlock :: LabelMap CmmStatics -> NatBasicBlock Instr -> SDoc #

pprData :: CmmStatic -> SDoc #

pprInstr :: Instr -> SDoc #

Pretty print an instruction.

pprFormat :: Format -> SDoc #

Pretty print a format for an instruction suffix.

pprImm :: Imm -> SDoc #

Pretty print an immediate value.

pprDataItem :: CmmLit -> SDoc #

Pretty print a data item.

# Orphan instances

Outputable Instr # |
Methods ppr :: Instr -> SDoc # pprPrec :: Rational -> Instr -> SDoc #